oRTP: _RtpSession Struct Reference

oRTP 0.24.2

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_RtpSession Struct Reference

`#include <rtpsession.h>`

## Data Fields
RtpSession * | next
int | mask_pos
struct {
RtpProfile * profile
int pt
unsigned int ssrc
WaitPoint wp
} | snd
struct {
RtpProfile * profile
int pt
unsigned int ssrc
WaitPoint wp
} | rcv
unsigned int | inc_ssrc_candidate
int | inc_same_ssrc_count
int | hw_recv_pt
int | recv_buf_size
int | target_upload_bandwidth
RtpSignalTable | on_ssrc_changed
RtpSignalTable | on_payload_type_changed
RtpSignalTable | on_telephone_event_packet
RtpSignalTable | on_telephone_event
RtpSignalTable | on_timestamp_jump
RtpSignalTable | on_network_error
RtpSignalTable | on_rtcp_bye
struct _OList * | signal_tables
struct _OList * | eventqs
msgb_allocator_t | allocator
RtpStream | rtp
RtcpStream | rtcp
OrtpRtcpXrStats | rtcp_xr_stats
RtpSessionMode | mode
struct _RtpScheduler * | sched
uint32_t | flags
int | dscp
int | multicast_ttl
int | multicast_loopback
float | duplication_ratio
float | duplication_left
void * | user_data
struct timeval | last_recv_time
mblk_t * | pending
mblk_t * | current_tev
mblk_t * | minimal_sdes
mblk_t * | full_sdes
queue_t | contributing_sources
int64_t | lost_packets_test_vector
unsigned int | interarrival_jitter_test_vector
unsigned int | delay_test_vector
float | rtt
int | cum_loss
OrtpNetworkSimulatorCtx * | net_sim_ctx
bool_t | symmetric_rtp
bool_t | permissive
bool_t | use_connect
bool_t | ssrc_set
bool_t | reuseaddr
unsigned char | avpf_features

## Detailed Description

An object representing a bi-directional RTP session. It holds sockets, jitter buffer, various counters (timestamp, sequence numbers...) Applications SHOULD NOT try to read things within the RtpSession object but use instead its public API (the rtp_session_* methods) where RtpSession is used as a pointer. rtp_session_new() allocates and initialize a RtpSession.

## Field Documentation

unsigned char _RtpSession::avpf_features

A bitmask of ORTP_AVPF_FEATURE_* macros.

The documentation for this struct was generated from the following file:

- /usr/obj/ports_mfs/ortp-0.24.2/ortp-0.24.2/include/ortp/rtpsession.h